<?php
if (!isset($_SESSION))
{
	session_start();
}
function check_email($email, $check_domain = false) 
{ 
    if (ereg('^[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+'.'@'.'[-!#$%&\'*+\\/0-9=?A-Z^_`a-z{|}~]+\.'.'[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+$', $email))
    {
		if ($check_domain && function_exists('checkdnsrr'))
		{
			list (, $domain)  = explode('@', $email);
            if (checkdnsrr($domain, 'MX') || checkdnsrr($domain, 'A'))
            {
                return true;
            }
            return false;
        }
        return true;
    }
    return false;
}
function create_code($tp_length)
{
	$temp_password = "";
	$pstring = "aAbBcCdDeEfFgGhHiIjJkKlLmMnNoOpPqQrRsStTuUvVwWXxYyZz0123456789";
	$plength = strlen($pstring);
	for ($i = 1; $i <= $tp_length; $i++)
	{
		$start = rand(0,$plength);
		$temp_password.= substr($pstring, $start, 1);
	}
	return $temp_password;
}
require_once('header.php');
echo "<h1>Registreren</h1>";
if ($aangemeld == "ja")
{
	echo "<b>Je bent al aangemeld dus je hebt al een account!</b>";
}
elseif ($aangemeld == "nee")
{
	$_GET['naam_kennis'] = strtolower($_GET['naam_kennis']);
	$_GET['naam'] = strtolower($_GET['naam']);
	error_reporting(0);
   	$bestaat_mss_al = halen("SELECT id FROM members WHERE naam='".$_GET['naam']."';");
   	$bestaat_mss_al_ip = halen("SELECT id FROM members WHERE ip='".$_SERVER['REMOTE_ADDR']."';");
   	$bestaat_mss_al_mail = halen("SELECT id FROM members WHERE mail='".$_GET['mail']."';");
   	if ($_GET['naam_kennis'] != "")
	{
		$bestaat_mss_al_kennis = halen("SELECT * FROM members WHERE naam='".$_GET['naam_kennis']."';");
	}
   	error_reporting(E_ALL);
	if ($bestaat_mss_al != "")
	{
		echo "Deze naam is al in gebruik!";
	}
	else
	{
		if($bestaat_mss_al_ip != "")
		{
			echo "Je hebt al een account op deze computer!";
		}
		else
		{
			if ($_GET['mail'] != "")
			{
				if (check_email($_GET['mail']))
				{
					if($bestaat_mss_al_mail == "")
					{
						if ($_GET['naam_kennis'] != "")
						{
							if ($bestaat_mss_al_kennis != "")
							{
								$money_nu_member_kennis = halen("SELECT money FROM members WHERE naam = '".$_GET['naam_kennis']."'");
								$money_nu_member_kennis = $money_nu_member_kennis + 50;
								mysql_query("UPDATE members SET money = '".$money_nu_member_kennis."' WHERE naam = '".$_GET['naam_kennis']."'");
							}
						}
						mysql_query("INSERT INTO members SET naam='".$_GET['naam']."', wachtwoord='".$_GET['wachtwoord']."', mail='".$_GET['mail']."', ip='".$_SERVER['REMOTE_ADDR']."', console='', warning='Hallo, voor wie het echte Habbo kent:\nZou je al je vrienden op het echte Habbo ook willen informeren dat Jabbo bestaat?\nVoor elke nieuwe Jabbo die zich door jou registreert krijg je 50 Jabbo Credits.\nDit is uiteraard niet verplicht!';");
						echo "Je account is aangemaakt en ";
						$new_code = create_code(30);
						mysql_query("INSERT INTO reg_codes SET code='".$new_code."', member='".$_GET['naam']."';");
						$mime_boundary = "Jabbo".md5(time());
						$to = $_GET['mail'];
						$subject = "Bevestig het e-mailadres van je Jabbo Hotel account";
						$headers = "From: Jabbo <auto-contact@jabbo.be>\n";
						$headers .= "MIME-Version: 1.0\n";
						$headers .= "Content-Type: multipart/alternative; boundary=\"$mime_boundary\"\n";
						$message = "--$mime_boundary\n";
						$message .= "Content-Type: text/plain; charset=UTF-8\n";
						$message .= "Content-Transfer-Encoding: 8bit\n\n";
						$message .= "Welkom bij Jabbo Hotel!\n\n";
						$message .= "Je registratie op Jabbo.be is gelukt. Bevestig nu alsjeblieft je registratie, zodat we je later via e-mail kunnen ondersteunen bij vragen over je account, bijvoorbeeld als je je wachtwoord wilt opvragen.\n\n";
						$message .= "BELANGRIJK!\n";
						$message .= "Door op de volgende link te klikken laat je ons weten dat we je e-mailadres ".$_GET['mail']." goed hebben geregistreerd:\n";
						$message .= "http://www.jabbo.be/active.php?action=yes&code=".$new_code."\n\n";
						$message .= "Tot ziens in Jabbo Hotel!\n\n";
						$message .= "Thomas, Hotel Manager\n";
						$message .= "Jabbo Hotel\n";
						$message .= "www.jabbo.be\n\n\n";
						$message .= "= = = = = =\n\n";
						$message .= "Dit is een automatisch gegenereerd bericht. Het is niet mogelijk te antwoorden op dit bericht. Vragen moeten via de Helptool op de website gesteld worden.\n\n";
						$message .= "Een Jabbogebruiker heeft dit mailadres opgegeven toen hij zich op onze site heeft geregistreerd. Als je geen Jabboaccount hebt, en dit bericht dus ongevraagd ontvangt, kun je je mailadres uit onze database verwijderen door op deze link te klikken:  http://www.jabbo.be/active.php?action=no&code=".$new_code."\n\n";
						$mail_sent = @mail($to, $subject, $message, $headers);
						echo $mail_sent ? "je activatiemail is verzonden." : "je activatiemail is <b>NIET</b> verzonden. Er is een fout. Probeer een ander account te maken.";
						echo "<br><br><b>Poppetjes, chatten, behang, andere meubels, enz. zijn nog in de maak. Kom regelmatig terug om te kijken of ze er al zijn!</b>";
					}
					else
					{
						echo "Er bestaat al een account met dit emailadres!";
					}
				}
				else
				{
					echo "Je emailadres is ongeldig.";
				}
			}
			else
			{
				echo "Vul je emailadres in!";
			}
		}
	}
	echo "<br><br><a href='index.php'>Terug</a>";
}
else
{
	echo "<b>Er is een fout opgetreden.</b>";
}
require_once ('footer.php');
?>